/*  This file is part of the KDE project
    Copyright (C) 2003 Matthias Kretz <kretz@kde.org>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2
    as published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston,
    MA  02111-1307, USA.

*/
// $Id: kviewvieweriface.h,v 1.2 2003/07/05 21:22:13 mueller Exp $

#ifndef KVIEWVIEWERIFACE_H
#define KVIEWVIEWERIFACE_H

class KViewViewerIface
{
	public:
		/**
		 * Set the cache size the Viewer may use for caching QImages. The bigger
		 * you set this value the more RAM the program will use but the faster
		 * images can be shown that have already been opened before.
		 *
		 * Eventually KView may use the cache for preloading images that are in
		 * the slideshow list.
		 *
		 * @param size	The maximum size of the cache in kilobytes (1024 B).
		 */
		void setCacheSize( uint size );
};

#endif // KVIEWVIEWERIFACE_H

// vim: sw=4 ts=4
